var system = require("../../../system")
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctlms.base");
const uuidv4 = require('uuid/v4');
var moment = require("moment");

class InvoicecontentCtl extends CtlBase {
  constructor() {
    super();
    this.invoicecontentSev = system.getObject("service.common.invoicecontentSev");
  }

  async list(pobj, pobj2, req) {
    try {
      return await this.invoicecontentSev.list(pobj);
    } catch (e) {
      console.log(e);
      return system.getResultFail(500, "接口错误");
    }
  }
  
  async info(pobj, pobj2, req) {
    try {
      return await this.invoicecontentSev.info(pobj);
    } catch (e) {
      console.log(e);
      return system.getResultFail(500, "接口错误");
    }
  }

  async save(pobj, pobj2, req) {
    try {
      return await this.invoicecontentSev.save(pobj);
    } catch (e) {
      console.log(e);
      return system.getResultFail(500, "接口错误");
    }
  }

  async del(pobj, pobj2, req) {
    try {
      return await this.invoicecontentSev.del(pobj);
    } catch (e) {
      console.log(e);
      return system.getResultFail(500, "接口错误");
    }
  }

}
module.exports = InvoicecontentCtl;